// MonthCalendar.cpp : implementation file
//

#include "stdafx.h"
#include "Dial Application.h"
#include "MonthCalendar.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CMonthCalendar dialog


CMonthCalendar::CMonthCalendar(CWnd* pParent /*=NULL*/)
	: CDialog(CMonthCalendar::IDD, pParent)
{
	//{{AFX_DATA_INIT(CMonthCalendar)
	m_bNoTodayCircle = FALSE;
	m_bWeekNumbers = FALSE;
	//}}AFX_DATA_INIT
}


void CMonthCalendar::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CMonthCalendar)
	DDX_Check(pDX, IDC_CKNOTODAYCIRCLE, m_bNoTodayCircle);
	DDX_Check(pDX, IDC_CKWEEKNUMBERS, m_bWeekNumbers);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CMonthCalendar, CDialog)
	//{{AFX_MSG_MAP(CMonthCalendar)
	ON_BN_CLICKED(IDC_CKNOTODAYCIRCLE, OnCknotodaycircle)
	ON_BN_CLICKED(IDC_CKWEEKNUMBERS, OnCkweeknumbers)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CMonthCalendar message handlers
BOOL CMonthCalendar::OnInitDialog() 
{
	CDialog::OnInitDialog();

	CMenu* pSysMenu = GetSystemMenu(FALSE);

	pSysMenu->RemoveMenu(SC_SIZE, MF_BYCOMMAND);
	pSysMenu->RemoveMenu(SC_MAXIMIZE, MF_BYCOMMAND);	

	CWnd *pFrame = GetDlgItem(IDC_STATICMONTH);
	CRect rcWnd;
	pFrame->GetClientRect(rcWnd);
	pFrame->DestroyWindow(); //pFrame was just a placeholder anyway.
	m_MonthCal.Create(WS_CHILD|WS_VISIBLE,CPoint(rcWnd.left + 10,rcWnd.top + 10),this,IDC_STATICMONTH);//IDC_MONTHCAL);
	UpdateData(FALSE);
	// TODO: Add extra initialization here
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CMonthCalendar::OnCknotodaycircle() 
{
	UpdateData(TRUE);
	if(m_bNoTodayCircle)
	{
		//add style
		m_MonthCal.ModifyStyle(0,MCS_NOTODAYCIRCLE,SWP_NOSIZE);
	}
	else
	{
		//remove style
		m_MonthCal.ModifyStyle(MCS_NOTODAYCIRCLE,SWP_NOSIZE);
	}

	// TODO: Add your control notification handler code here
	
}

void CMonthCalendar::OnCkweeknumbers() 
{
	UpdateData(TRUE);
	if(m_bWeekNumbers)
	{
		//add style
		m_MonthCal.ModifyStyle(0,MCS_WEEKNUMBERS,SWP_NOSIZE);
	}
	else
	{
		//remove style
		m_MonthCal.ModifyStyle(MCS_WEEKNUMBERS,SWP_NOSIZE);
	}
	m_MonthCal.SizeMinReq();
	// TODO: Add your control notification handler code here
	
}
