#if !defined(AFX_SETTINGDIALERPROPERTIES_H__3516C328_5B4A_11D6_9EE5_944B445D8E41__INCLUDED_)
#define AFX_SETTINGDIALERPROPERTIES_H__3516C328_5B4A_11D6_9EE5_944B445D8E41__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// SettingDialerProperties.h : header file
//
#include "MainFrm.h"

/////////////////////////////////////////////////////////////////////////////
// CSettingDialerProperties dialog

class CSettingDialerProperties : public CDialog
{
// Construction 
public:
	CSettingDialerProperties(CMainFrame* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CSettingDialerProperties)
	enum { IDD = IDD_SETTING_DIALER_PROPERTIES };
	CButton	m_CheckFlowControl;
	CListCtrl	m_ListCom;
	CComboBox	m_ComboStopBitsControl;
	CComboBox	m_ComboMaxSpeedControl;
	CComboBox	m_ComboParityControl;
	CComboBox	m_ComboDataBitsControl;
	CString	m_strComboDataBits;
	CString	m_strComboStopBits;
	CString	m_strComboParity;
	CString	m_strComboMaxSpeed;
	CString	m_strsetting;
	CString	m_strComPort;
	BOOL	m_CheckFlow;
	int		m_RFlow;
	int		m_nport;
	int		m_Handshaking;
	//}}AFX_DATA

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSettingDialerProperties)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

protected:
	// the shared image list for check marks in CListCtrl
	static CImageList*  m_pImageListP;

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CSettingDialerProperties)
	virtual BOOL OnInitDialog();
	afx_msg void OnApply();
	afx_msg void OnResume();
	afx_msg void OnSelchangeComboDataBits();
	afx_msg void OnSelchangeComboMaxSpeed();
	afx_msg void OnSelchangeComboParity();
	afx_msg void OnSelchangeComboStopBits();
	afx_msg void OnDefault();
	afx_msg void OnFlow1009();
	afx_msg void OnRflow1();
	afx_msg void OnRflow2();
	afx_msg void OnRflow3();
	virtual void OnCancel();
	virtual void OnOK();
	//}}AFX_MSG
public:
	void OnNewFList();
	void OnInitCombo();
	void OnSettings();
	void OnSetOk();
	void OnFlow();
	void OnCheckValue();
	void OnApplyButton(BOOL bEnable);
	void OnResumeButton(BOOL bEnable);

	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SETTINGDIALERPROPERTIES_H__3516C328_5B4A_11D6_9EE5_944B445D8E41__INCLUDED_)
